class Person
  attr_accessor :name, :age, :phone
  def initialize(n,a,p)
    @name, @age, @phone = n, a, p
  end
end

p1 = Person.new("John Smith",29,"555-1234")
p2 = Person.allocate
p p1.age     # 29
p p2.age     # nil

